> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Encounter Providers V 2 Create Ordering Provider

POST https://api.taigabilling.com/api/encounter-providers/v2/{service_line_id}/create-ordering-provider
Content-Type: application/json

Reference: https://docs.taigabilling.com/api-reference/encounter-providers-v-2/encounter-providers-v-2-create-ordering-provider

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `service_line_id` (string, required)

### Body (application/json)

This endpoint expects an encounter-providersv2OrderingProvider.

- `npi` (string, required) — A National Provider Identifier is a unique 10-digit identification number issued to health care providers in the United States
- `address` (StreetAddressLongZip, optional, nullable)
- `first_name` (string, optional, nullable) — If the provider is an individual, this should be set instead of organization name
- `last_name` (string, optional, nullable) — If the provider is an individual, this should be set instead of organization name
- `organization_name` (string, optional, nullable) — If the provider is an organization, this should be set instead of first + last name
- `taxonomy_code` (string, optional, nullable)

## Response

### 200

- `address` (StreetAddressLongZip, required)
- `npi` (string, required)
- `provider_id` (string, required)
- `first_name` (string, optional, nullable) — If the provider is an individual, this should be set instead of organization name
- `last_name` (string, optional, nullable) — If the provider is an individual, this should be set instead of organization name
- `organization_name` (string, optional, nullable) — If the provider is an organization, this should be set instead of first + last name
- `provider_commercial_license_type` (enum, optional, nullable) — 837i Loop2010BB G2 Provider Commercial Number
  - Allowed values: `0`, `A`, `B`, `C`, `D`, `E`, `F`, `G`, `H`, `I`
- `qualifier` (enum, optional, nullable)
  - Allowed values: `DQ`, `DN`, `DK`, `P3`
- `secondary_identification` (encounter-providersv2ProviderSecondaryIdentification, optional, nullable) — Only one of provider_commercial_license_type or secondary_identification may be provided 837i Loop2010BB G2 Secondary Identification
- `tax_id` (string, optional, nullable)
- `taxonomy_code` (string, optional, nullable)

## Errors

### 404 Not Found Error

- `EncounterProviders_v2_create_ordering_providerRequestNotFoundError`
  - EncounterProvidersV2CreateOrderingProviderRequestNotFoundError0

### 409 Conflict Error

- `EncounterProviders_v2_create_ordering_providerRequestConflictError`
  - EncounterProvidersV2CreateOrderingProviderRequestConflictError0

### 422 Unprocessable Entity Error

- `EncounterProviders_v2_create_ordering_providerRequestUnprocessableEntityError`
  - EncounterProvidersV2CreateOrderingProviderRequestUnprocessableEntityError0

## Types

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### encounter-providersv2ProviderSecondaryIdentification

- `reference_identification` (string, required) — Represents REF02 on the EDI 837 Loop 2010BB Billing Provider Secondary Identification segment. Value cannot exceed 50 characters
- `reference_identification_qualifier` (enum, optional, nullable) — Represents REF01 on the EDI 837 Loop 2010BB Provider Secondary Identification segment.
  - Allowed values: `0B`, `1G`, `G2`, `LU`

### EncounterProvidersV2CreateOrderingProviderRequestNotFoundError0

The service line could not be found.

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationsError`
- `content` (EntityNotFoundErrorMessage, optional)

### EncounterProvidersV2CreateOrderingProviderRequestConflictError0

The service line already has an ordering provider.

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationsError`
- `content` (EntityConflictErrorMessage, optional)

### EncounterProvidersV2CreateOrderingProviderRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationsError`
- `content` (list of RequestValidationError, optional)

### EntityNotFoundErrorMessage

- `id` (string, required)

### EntityConflictErrorMessage

- `entity_name` (string, required)

### RequestValidationError

- `fieldName` (string, required)
- `humanReadableMessage` (string, optional, nullable)

## Examples

**Request**

```json
{
  "npi": "string"
}
```

**Response**

```json
{
  "address": {
    "address1": "string",
    "city": "string",
    "state": "AA",
    "zip_code": "string",
    "zip_plus_four_code": "1234",
    "address2": "string"
  },
  "npi": "1234567890",
  "provider_id": "string",
  "first_name": "string",
  "last_name": "string",
  "organization_name": "string",
  "provider_commercial_license_type": "0",
  "qualifier": "DQ",
  "secondary_identification": {
    "reference_identification": "string",
    "reference_identification_qualifier": "0B"
  },
  "tax_id": "string",
  "taxonomy_code": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/encounter-providers/v2/service_line_id/create-ordering-provider"

payload = { "npi": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```